/*:VRX         Main
*/
/*  Main
*/
Main:
/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary: procedure
    name = arg( 1 )

    window = VRLoad( VRWindow(), VRWindowPath(), name )
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
return window

/*:VRX         Fini
*/
Fini:
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return 0

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         Init
*/
Init:
    call RxFuncAdd 'SysSleep' , 'RexxUtil', 'SysSleep'
    TS = "A:"
    window = VRWindow()
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
return

/*:VRX         LB_2_Click
*/
LB_2_Click:
LIBNAME = VRGet( "LB_2", "SelectedString")
return

/*:VRX         PB_10_Click
*/
PB_10_Click:
    values = Window2( VRWindow(), "MEMD",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME
    msgtext = "YOU WANT TO DELETE?!:"||MEMNAME||" FROM:" LIBNAME"."SUBNAME
    button.0 = 2
    button.1 = "YES"
    button.2 = "NO!"
    call VRMessage VRWindow(),msgtext,"MEMBER DELETE(S)!","I","button.",1,2
    if result = 2 then return
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME" ; DEL "MEMNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         PB_11_Click
*/
PB_11_Click:
    ok = VRSet( "EF_1", "ReadOnly", 1)
    ok = VRSet( "EF_2", "ReadOnly", 1)
    ok = VRSet( "EF_3", "ReadOnly", 1)
    ok = VRSet( "EF_4", "ReadOnly", 1)
    ok = VRSet( "EF_5", "ReadOnly", 1)
    
    RECCOM = "RECEIVE C:\vsecom\userprof "||TS||" (FILE=PROF"
    say reccom
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    Myfile = "C:\vsecom\userprof"
    LINEIN(Myfile,1,0)
    Do until LINES(Myfile) = "0"
    thisline = LINEIN(Myfile)
    fparm = LEFT(thisline,6)
    call xout
    end
    fparm = LINEOUT(Myfile) /* close the file */
    ok = VRSet( "EF_1", "ReadOnly", 1)
    ok = VRSet( "EF_2", "ReadOnly", 1)
    ok = VRSet( "EF_3", "ReadOnly", 1)
    ok = VRSet( "EF_4", "ReadOnly", 1)

   /*  E.EXE " C:\userprof" */
return
xout:
Select
    when fparm = "TRMID " then do
    fparm = SUBWORD(thisline,2,4)
    ok = VRSet( "EF_3", "Value", fparm)
    return
    end 
    when fparm = "UID   " then do
    fparm = SUBWORD(thisline,2,8)
    LUSER = fparm
    ok = VRSet( "EF_1", "Value", fparm)
    return
    end
    when fparm = "LIBACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return 
    end
    when fparm = "POWACC" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end  
    when fparm = "POWALL" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SUBMIT" then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
    when fparm = "SYSID " then do
    fparm = SUBWORD(thisline,2,8)
    ok = VRSet( "EF_4", "Value", fparm)
    return
    end
    when fparm = "UTYP  " then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_2", "Value", fparm)
    return
    end
    when fparm = "SCLASS" then do
    fparm = SUBWORD(thisline,2,1)
    ok = VRSet( "EF_5", "Value", fparm)
    return
    end
    when fparm = "LIB   " then do
    call getlibs
    return
    end
    when fparm = "HTF   " then do
    fparm = SUBWORD(thisline,1,6)
    position = VRMethod( "LB_1", "AddString",fparm, )
    return
    end
otherwise nop
return
getlibs:
startl = 10
fparm = SUBSTR(thisline,startl,7)
position = VRMethod( "LB_2", "AddString",fparm, )
    do until fparm = "       "
    startl = startl + 7
    fparm = SUBSTR(thisline,startl,7)
    if fparm = "       " then return
    position = VRMethod( "LB_2", "AddString",fparm, )
    end
return
/*:VRX         PB_12_Click
*/
PB_12_Click:
    MEMNAME = "Lock Member?"
    values = Window2( VRWindow(), "LOCK",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME" ; LOCK "||MEMNAME||" LOCKID="LUSER
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE


return

/*:VRX         PB_13_Click
*/
PB_13_Click:
    MEMNAME = "UNlock Member?"
    values = Window2( VRWindow(), "UNLOCK",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME" ; UNLOCK "||MEMNAME||" LOCKID="LUSER
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE

  

return

/*:VRX         PB_14_Click
*/
PB_14_Click:
    values = Window6( VRWindow())
    if values = "" then return
    trtype = values
    if trtype = "OTH" then do
        SRcom = " "
        button.0 = 2
        button.1 = "OK"
        button.2 = "CANCEL"
        call VRPrompt VRWindow(),"ENTER A SEND/RECEIVE COMMAND:", "SRcom", "EXECUTE AN EXPLICIT SEND/RECEIVE COM STRING", "button.",1,2
        if result = 2 then return
        rc = Startvio(SRcom)
        return
    end
    trtype = "SEND"
    values = Window5( VRWindow(),trtype)
    if values = "" then return
    parse var values part1 "," part2 "," part3
    RECCOM = "SEND "||part1||" "TS||" "||part2||" "||part3
    say reccom
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    return
  
/*:VRX         PB_15_Click
*/
PB_15_Click:
    values = Window6( VRWindow())
    if values = "" then return
    trtype = values
    if trtype = "OTH" then do
        SRcom = " "
        button.0 = 2
        button.1 = "OK"
        button.2 = "CANCEL"
        call VRPrompt VRWindow(),"ENTER A SEND/RECEIVE COMMAND:", "SRcom", "EXECUTE AN EXPLICIT SEND/RECEIVE COM STRING", "button.",1,2
        if result = 2 then return
        rc = Startvio(SRcom)
        return
    end
    trtype = "REC"
    values = Window5( VRWindow(),trtype)
    if values = "" then return
    parse var values part1 "," part2 "," part3
    RECCOM = "RECEIVE "||part1||" "TS||" "||part2||" "||part3
    say reccom
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
return
  

/*:VRX         PB_16_Click
*/
PB_16_Click:
    MEMNAME = "Job Path?"
    values = Window2( VRWindow(), "SUBMIT",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME
    RECCOM = "SEND "||LIBFILE||" "TS||" (FILE=RDR "
    rc = Startvio(RECCOM)
    return

/*:VRX         PB_17_Click
*/
PB_17_Click:
    ERASE "C:\VSECOM\oneSTAT"
    RECCOM = "RECEIVE C:\VSECOM\oneSTAT "||TS||" (FILE=PMSG" 
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    copy "C:\vsecom\jobstat+C:\vsecom\onestat c:\vsecom\jobstat"
    /*Myfile = "C:\VSECOM\JOBSTAT"
    checkdat = LINES(Myfile)
    if checkdat = "0" then do
    call VRMessage VRWindow(), "NO JOB STATUS INFO FOR THIS USER"
    checkdat = LINEOUT(Myfile)
    return
    end*/
    E "C:\VSECOM\JOBSTAT"
    return

/*:VRX         PB_18_Click
*/
PB_18_Click:
    values = Window4( VRWindow())
    if values = "" then return
    parse var values JOB "," JOBNUM
    RECCOM = "RECEIVE C:\vsecom\lists\JOBLIST "||TS||" "||JOB||" "||JOBNUM||" (FILE=LST" 
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    E "C:\vsecom\lists\JOBLIST"
return

/*:VRX         PB_19_Click
*/
PB_19_Click:
    erase "C:\vsecom\lists\results"
    usercom = " "
    button.0 = 2
    button.1 = "OK"
    button.2 = "CANCEL"
    call VRPrompt VRWindow(),"Enter A VSE POWER command:", "usercom", "EXECUTE PWR", "button.",1,2
    if result = 2 then return
    RECCOM = "RECEIVE C:\vsecom\lists\results "||TS" (FILE=PCMD) "||usercom
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    E "C:\vsecom\lists\results"
    return

/*:VRX         PB_1_Click
*/
PB_1_Click:
    values = Window2( VRWindow(), "LIB",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME ","
    RECCOM = "RECEIVE "||LIBFILE||" "||TS||" (FILE=LCMD) LD L="||LIBNAME||" OUT=STATUS"
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         PB_20_Click
*/
PB_20_Click:
    path = VRFileDialog(VRWindow(),"File to Edit?",,"C:\VSECOM\JOBS\*.*")
    say path
    if path = "" then return
    EPM.EXE path
    return

/*:VRX         PB_21_Click
*/
PB_21_Click:
    SRcom = " "
    button.0 = 2
    button.1 = "OK"
    button.2 = "CANCEL"
    call VRPrompt VRWindow(),"ENTER A SEND/RECEIVE COMMAND:", "SRcom", "EXECUTE AN EXPLICIT SEND/RECEIVE COM STRING", "button.",1,2
    if result = 2 then return
    rc = Startvio(SRcom)
    return

/*:VRX         PB_2_Click
*/
PB_2_Click:
    values = Window2( VRWindow(), "SUBL",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME ","
    RECCOM = "RECEIVE "||LIBFILE||" "||TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME" ; LD *.*"
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         PB_3_Click
*/
PB_3_Click:
    values = Window2( VRWindow(), "SUBC",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME ","
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) DEFINE S="||LIBNAME||"."||SUBNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         PB_4_Click
*/
PB_4_Click:
    values = Window3( VRWindow(), "RENSUB",LIBNAME,SUBNAME,NEWSUB)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME "," NEWSUB ","
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) REN S="||LIBNAME||"."||SUBNAME" "LIBNAME||"."NEWSUB
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    SUBNAME = NEWSUB
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE

return

/*:VRX         PB_5_Click
*/
PB_5_Click:
    values = Window2( VRWindow(), "SUBD",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME ","
    msgtext = "YOU WANT TO DELETE?!:"||LIBNAME||"."SUBNAME
    button.0 = 2
    button.1 = "YES"
    button.2 = "NO!"
    call VRMessage VRWindow(),msgtext,"SUBLIBRARY DELETE!","I","button.",1,2
    if result = 2 then return
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) DEL S="||LIBNAME||"."||SUBNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         PB_6_Click
*/
PB_6_Click:
    MEMNAME = "List(s)?:*.*"
    values = Window2( VRWindow(), "MEML",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME" ; LD "||MEMNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE


return

/*:VRX         PB_7_Click
*/
PB_7_Click:
    NEWMEM = "NEWNAME?"
    MEMNAME = "OLDNAME?"
    values = Window3( VRWindow(), "RENMEM",LIBNAME,SUBNAME,NEWSUB,MEMNAME,NEWMEM)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME "," NEWSUB "," NEWMEM ","
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) ACC S="||LIBNAME||"."||SUBNAME"; REN "MEMNAME" "NEWMEM
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    SUBNAME = NEWSUB
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE


return

/*:VRX         PB_8_Click
*/
PB_8_Click:
    MEMNAME = "MEMBER(s)?"
    values = Window3( VRWindow(), "COPY",LIBNAME,SUBNAME,NEWSUB,MEMNAME,NEWMEM,NEWLIB)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME "," NEWSUB "," NEWMEM "," NEWLIB ","
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) CONN S="||LIBNAME||"."||SUBNAME||" "NEWLIB||"."NEWSUB||"; COPY "||MEMNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE

return

/*:VRX         PB_9_Click
*/
PB_9_Click:
    LIBNAME = "*"
    MEMNAME = "MEMBER?"
    values = Window2( VRWindow(), "SEARCH",LIBNAME,SUBNAME,MEMNAME)
    if values = "" then return
    parse var values CHKPRT "," CHKVIEW "," LIBFILE "," LIBNAME "," SUBNAME "," MEMNAME ","
    RECCOM = "RECEIVE "||LIBFILE||" "TS||" (FILE=LCMD) SEARCH"||" "||MEMNAME||" L="LIBNAME
    rc = Startvio(RECCOM)
    if rc = "QUIT" then return
    if CHKPRT = "1" then COPY LIBFILE " LPT1:"
    if CHKVIEW = "1" then E LIBFILE
return

/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         SPIN_1_Change
*/
SPIN_1_Change:
    TS = VRGet( "SPIN_1", "Value")
return

/*:VRX         Startvio
*/
Startvio:procedure
parse arg command
erase "c:\vsecom\vsestat.fil"
"start /win/c c:\vsecom\runvse.cmd" command "<con >con"
/*"start /win/c c:\vsecom\runvse.cmd" command*/ 
SPINNUM = 0
RC = ""
DO FOREVER
    call SysSleep 2
    exists = VRFileExists("C:\vsecom\vsestat.fil")

    if exists = 1 then do
    LEAVE
    end
    else do
    SPINNUM = SPINNUM + 1
    end

    if SPINNUM = 5 then do
    SPINNUM = 0
    rc = Window7(VRWindow())
    end

    if rc = "QUIT" then do
    LEAVE
    end
end

return rc    
    


/*:VRX         Window1_Close
*/
Window1_Close:
    call Quit
return

